class addOrderTpcAgentListResponse {
  List<TpcList>? tpcList;
  String? error;
  String? message;

  addOrderTpcAgentListResponse({this.tpcList, this.error, this.message});

  addOrderTpcAgentListResponse.fromJson(Map<String, dynamic> json) {
    if (json['tpc_list'] != null) {
      tpcList = <TpcList>[];
      json['tpc_list'].forEach((v) {
        tpcList!.add(TpcList.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (tpcList != null) {
      data['tpc_list'] = tpcList!.map((v) => v.toJson()).toList();
    }
    data['error'] = error;
    data['message'] = message;
    return data;
  }
}

class TpcList {
  String? id;
  String? text;

  TpcList({this.id, this.text});

  TpcList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    text = json['text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['text'] = text;
    return data;
  }
}
